import { select, arc } from 'd3';


const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const g = svg.append('g')
		.attr('transform', `translate(${width/2}, ${height/2})`)
		;

console.log(typeof width);

const circle = g.append('circle')
	.attr('r', height/2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 40;
const eyebrowHeight = 15;
const eyebrowWidth = 70;
const eyebrowYOffset = -70;

const eyeGrp = g.append('g')
	.attr('transform', `translate(0, ${eyeYOffset})`)
	;

const leftEye = eyeGrp
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', - eyeSpacing)
    //.attr('cy', + eyeYOffset)
    //.attr('fill', 'black')
	;

const rightEye = eyeGrp
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', + eyeSpacing)
    //.attr('cy', + eyeYOffset)
    //.attr('fill', 'black')
	;

const eyebrowGrp = eyeGrp
	.append('g')
		.attr('transform', `translate(0, ${eyebrowYOffset})`)
	;

eyebrowGrp
	.transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
	.transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYOffset})`)
	;

const leftEyebrow = eyebrowGrp
	.append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    //.attr('y', eyebrowYOffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
	;

const rightEyebrow = eyebrowGrp
	.append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    //.attr('y', eyebrowYOffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
	;

const mouth = g.append('path')
	.attr('d', arc()({
    innerRadius: 160,
    outerRadius: 180,
    startAngle: Math.PI / 2,
    endAngle: Math.PI * 3 / 2
  }));